Bug Hunting Session
Bug 97654 - replace UNO cell types in xlsx import with calc internal ones
Summary: replace UNO cell types in xlsx import with calc internal ones
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: ToBeReviewed target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2016-02-08 18:33 UTC by Markus Mohrhard
Modified: 2017-02-14 08:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2016-02-08 18:33:52 UTC
In the xlsx import (sc/source/filter/oox) we are using the UNO address types in many places. For every method where we convert the parameter to ScAddress, ScRange, ScRangeList at some point in the call chain we should use the calc internal type directly.

So this means that in the end we are not using CellAddress, CellRangeAddress and related classes any more.

An example of a conversion would be WorksheetHelper::putString(const CellAddress& rAddress, const OUString& rText) to WorksheetHelper::putString(const ScAddress& rAddress, const OUString). Of course this requires to adapt the callers as well. This can be done incrementally and is part of the bigger task to replace UNO in the XLSX import.
Comment 1 Markus Mohrhard 2016-02-08 18:40:12 UTC
One solution to avoiding huge commits is to add the new method without removing the old one. Then change one caller at a time until the old method becomes unused and we can remove it (it will show up in the unusedcode.easy list at some point).
Comment 2 Mohammed Abdul Azeem 2016-02-08 19:51:54 UTC
I'd like to work on this one. :-)
Comment 3 Commit Notification 2016-02-17 08:42:57 UTC
Mohammed Abdul Azeem committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c02986b76f26d6f09d5b1f9d209879bfa427ea1

tdf#97654 - replaced UNO cell types in xlsx import with calc internal ones

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Robinson Tryon (qubit) 2016-02-18 14:51:46 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2016-02-26 15:58:05 UTC
Mohammed Abdul Azeem committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b63e7ee7e286b116d60dda676349024808182ed

tdf#97654 - replaced CellAddress types with ScAddress.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 jani 2016-05-04 05:53:14 UTC
Seems closed.